<!DOCTYPE html>
<html lang="en" >
<head>
	<meta charset="UTF-8">
	<title>Patterns - Talkdesk Sound Design System</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;1,400;1,700&display=swap" rel="stylesheet"><link rel="stylesheet" href="./style.css">
	
</head>
<body>
	<header>
		<div class="container">
			<div class="project-name">
				<svg width="382" height="62" xmlns="http://www.w3.org/2000/svg">
					<path d="M219.7 0v60.7H208v-5.3a17.5 17.5 0 0 1-14.7 6.6c-6 0-11.7-2.4-15.7-6.8a24 24 0 0 1-6.4-17 23.8 23.8 0 0 1 6.4-16.8 21 21 0 0 1 15.7-7c6.4 0 11.3 2.2 14.7 6.6V0h11.7Zm-78.5 0v35l15.5-19.5h14l-18.2 21.8 18.7 22.4h-13.6l-16.4-20v20h-11.7V0h11.7Zm54.3 25.5a12.3 12.3 0 0 0-12.6 12.7c-.1 3.4 1.1 6.8 3.5 9.2 2.4 2.4 5.7 3.6 9.1 3.5 3.4.1 6.6-1.1 9-3.5 2.4-2.4 3.6-5.8 3.5-9.2a12.3 12.3 0 0 0-12.5-12.7Zm106.3 9c6.6 1.2 15.2 4.3 15 13.6 0 4.4-1.6 7.9-5.1 10.3a22.3 22.3 0 0 1-13 3.6c-9.2 0-15.5-3.5-18.8-10.4l10-5.4c1.4 3.7 4.3 5.6 8.9 5.6 4.1 0 6.2-1.2 6.2-3.7 0-2.4-3.6-3.7-8.2-4.8-6.7-1.7-15-4.3-15-13.4a12 12 0 0 1 4.8-10C290 17.2 294 16 299 16c7.3 0 13.6 3.3 17 9.2l-9.8 5.2a7.5 7.5 0 0 0-7.2-4.4c-3 0-5.2 1.4-5.2 3.5 0 2.4 3.6 3.7 8.1 4.8Zm-63 9.1c1.5 5.5 5.7 8.2 12.6 8.2 4.4 0 7.8-1.5 10-4.3l9.3 5.2c-4.4 6.2-11 9.3-19.5 9.3-7.4 0-13.3-2.2-17.8-6.5a22 22 0 0 1-6.7-16.5c0-6.5 2.2-12 6.6-16.3a23 23 0 0 1 17-6.6c6.5 0 12 2.1 16.2 6.6 4.3 4.4 6.4 9.8 6.4 16.3 0 1.6-.1 3.1-.4 4.6h-33.7Zm22.6-8.7c-1.3-5.9-5.8-8.7-11.1-8.7-6.2 0-10.4 3.2-11.7 8.7h22.8Zm104 24.8H352l-16.4-20v20h-11.7V0h11.7v35L351 15.5h14l-18.2 21.8 18.7 22.4Zm-256.7 0V0h11.6v59.7h-11.6Zm-21-42.4h11.8v43.5H87.7v-5.2A18.1 18.1 0 0 1 73 62a21 21 0 0 1-15.7-6.6A22.8 22.8 0 0 1 51 39a22.6 22.6 0 0 1 22-23c6.4 0 11.3 2.2 14.8 6.4v-5.1Zm-12.6 34c3.4.1 6.6-1.1 9-3.4 2.5-2.3 3.8-5.6 3.6-8.9 0-3.5-1.1-6.5-3.6-8.7a12.2 12.2 0 0 0-9-3.5c-3.3-.1-6.6 1.1-9 3.5a11.7 11.7 0 0 0-3.5 8.7 12 12 0 0 0 3.5 9c2.4 2.2 5.7 3.4 9 3.3ZM44 26.9h-9.7v19.6c0 4.9 3.4 5 9.7 4.6v10.5c-15.2 1.8-20.8-2.8-20.8-15.1V0h11.1v15.7H44V27Zm332 .7c-.8 0-1.6-.2-2.3-.5a5.8 5.8 0 0 1 0-10.6 5.8 5.8 0 0 1 7.6 3 5.8 5.8 0 0 1-3 7.6c-.8.3-1.6.5-2.3.5Zm0-1.1c.8 0 1.6-.2 2.3-.6.7-.5 1.3-1 1.7-1.7a4.7 4.7 0 0 0-1.7-6.4 4.8 4.8 0 0 0-6.4 1.7 4.7 4.7 0 0 0 4 7Zm-2-2.1v-5.3h2.6a1.7 1.7 0 0 1 1.4.8c.2.2.2.5.2.9a1.7 1.7 0 0 1-.9 1.5l-.8.2h-2v-.7h1.8a1 1 0 0 0 1-1c0-.3-.2-.6-.4-.8a1 1 0 0 0-.6-.2h-1.4v4.6h-.9Zm3.1-2.5 1.3 2.5h-1l-1.3-2.5h1ZM5.8 27.6a5.8 5.8 0 1 0 0-11.5A5.8 5.8 0 0 0 0 21.8c0 3.2 2.6 5.8 5.8 5.8Zm0 16c3.2 0 5.8-2.5 5.8-5.7S9 32 5.8 32A5.8 5.8 0 0 0 0 38c0 3.2 2.6 5.7 5.8 5.7Zm0 16.1c3.2 0 5.8-2.6 5.8-5.7 0-3.2-2.6-5.8-5.8-5.8A5.8 5.8 0 0 0 0 54c0 3.1 2.6 5.7 5.8 5.7Z" fill="#FFF" fill-rule="nonzero"/>
				  </svg>
				<h1>Sound Design System</h1>
			</div>
		<nav>
				<ul>
					<li>
						<a href="./index.html">
							Foundations
						</a>
					</li>
					<li class="current-page">
						<a href="./patterns.html">
							Patterns
						</a>
					</li>
					<li>
						<a href="./components.html">
							Components
						</a>
					</li>
					<li>
						<a href="./resources.html">
							Resources
						</a>
					</li>
				</ul>
			</div>
		</nav>
	</header>
	
	<main>
		<div class="container">
			<h1>Patterns</h1>
			<h2>Sound x Silence (when to use it)</h2>
			<p><em>Overall product sound quality is achieved when the sound coming from the product is expected, pleasant or in some cases not even noticed by the user</em></p>
			<p>Designing the right UI sound experience is always a balance between sound and silence. We should be conscious that our hears are constantly overwhelmed with natural sounds from everywhere. Luckily, our brain process all this information and filters the sounds that will be the most useful for a person, depending on the current context.</p>
			<p>With this in mind, unnecessary sounds can quickly become annoying, create negative feelings about our product or being ignored by our brain. Silence plays a crucial role on managing this balance. Here are some guidelines to know when and how to apply each on of them.</p>
			<p>Apply sound to:</p>
			<ul>
				<li>Providing feedback on a user’s action or system status</li>
				<li>Building context and understanding of a use case</li>
				<li>Drawing attention to important information, such as a warning or opportunity</li>
				<li>Establishing brand personality and recognition</li>
			</ul>
			<p>Apply silence:</p>
			<ul>
				<li>UIs that require privacy or discretion</li>
				<li>Users who have requested no interruptions</li>
				<li>Actions that are performed frequently</li>
			</ul>
			<hr>
			<h2>Sound patterns</h2>
			<p>UI Sound has the ability to instantly draw your attention, or simply add a subtle layer of information to a UI interaction - either alerting you to something important, without the need to look at a screen, or adding a subtle moment of delight to your on-screen interaction</p>
			<h2>Feedback & Notifications</h2>
			<p>These are the most used sounds in digital products, also known as earcons, because their main goals are to reinforce the meaning of an interaction (ex: a sound that reinforces the selection of a checkbox) and to focus the user attention (ex: a sound that notifies about a new incoming message).</p>
			<p>Feedback sounds can be longer and lower in volume than a notification because they should be used mainly to reinforce meaning of a visual interaction.</p>
			<p>Notifications on the other hand, should be designed to be audible in different scenarios, from meeting rooms to loud environments. These sounds should be explored through rhythm, tonality, speed, frequency, and length.</p>
			<p>Due to the nature of Notifications, is recommended to give users the ability of customizing this type of sounds to reduce fatigue due to intense repetition.</p>
			<hr>
			<h2>Decoration</h2>
			<p>This type of sound is responsible for creating the voice of our product and should only be used on key user journey moments to engage emotionally engage the user through expression and delight (ex: an ambience sound that help a user to focus on a task).</p>
			<h2>Celebration (Hero sounds)</h2>
			<p>These UI sounds are meant to enhance the experience with the product, and they appear on critical moments of the user journey. These sounds can be used, when:</p>
			<ul>
				<li>Celebrating a significant positive action the user has taken</li>
				<li>Welcoming users to a new app or experience</li>
				<li>Confirming a key moment of a product’s purpose</li>
			</ul>
			<hr>
			<h2>System Sounds</h2>
			<h4>Primary UX sounds</h4>
			<p>Primary UX sounds are OS/device audios cues with the main purpose of providing user feedback to any interaction. It’s important to keep them simple and understandable. Some examples of use, are:</p>
			<ul>
				<li>Menu navigation</li>
				<li>Confirming a user’s direct action</li>
				<li>Data input</li>
			</ul>
			<h2>Secondary UX sounds</h2>
			<p>On the other hand, the Secondary are played less times. They are important to inform user about state changes or to indicate less frequent actions. </p>
			<hr>
			<h2>Ambient sounds</h2>
			<p>This type of sounds, are used as a decorative layer that plays the role on our users emotion while, at the same time, is a unique opportunity to communicate and explore the product’s personality and brand values. </p>
			<p>According to Google sound material, the recommended places for this usually <em>stronger</em> sound, are:</p>
			<ul>
				<li>A start-up flow, to welcome the user to the experience</li>
				<li>An accompaniment to a home screen, to express an emotional tone and user’s location in a UI</li>
			</ul>
			<hr>
			<h2>Building the sound</h2>
			<p>UI sounds are mainly reproduced on small or cheap speakers (both on computer and mobile). So while producing/ testing sounds it’s not advisable to just use our *premium *****headphones/computer speakers and hope for the best experience on the user end. </p>
			<p>So, that’s why it’s critical to test those audios on the actual device (or similar) and within the same sound-ambient that will surround the user when listening to the created UI sounds.</p>
			<h3>Recommended testing flow</h3>
			<p>Actual speakers/headphones ➡️ Variety of mobile speakers ➡️ Our high-end laptop speakers ➡️ test with prototypes to ensure the relationship between visual and sound.</p>
			<p>And, to help you with that…</p>
			<hr>
			<h3>Resources to make your designs more immersive</h3>
			<p>There are two folders inside the audio kit deliverables: “Desktop version” and “Mobile version”. The sounds included are identical to each other with one difference being the volume of each of the sounds. </p>
			<h3>💻 Desktop version (-5dB)</h3>
			<p>This volume setting is for computers. On these machines, we want to give more control over the volume, so these are louder audio files that answers to that requirement.</p>
			<h3>📱 Mobile version (-20dB)</h3>
			<p>On a mobile device, lowering the volume will help with speaker distortion. So, it’s important to use this sounds to mimic the “real” experience of this files on a mobile device. </p>
	</main>
	
	<!-- partial -->
	
</body>
</html>
